package com.qmth.jkserver.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.jkserver.dto.result.SysConfigResult;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * @Description: 学校自定义菜单 param
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/10/30
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class SysAdminSetParam implements Serializable {

    @ApiModelProperty(value = "参数")
    List<SysConfigResult> param;

    @ApiModelProperty(value = "学校id")
    @JsonSerialize(using = ToStringSerializer.class)
    @NotNull(message = "学校id不能为空")
    private Long schoolId;

    public List<SysConfigResult> getParam() {
        return param;
    }

    public void setParam(List<SysConfigResult> param) {
        this.param = param;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }
}
